from pybinder import Container
from pybinder.catalogs import Catalog
from pybinder.providers import Value

# Let's assume that you, Master, have a configured catalog instance.
catalog = Catalog()

# And you, Master, need to provide some configuration or settings for your
# objects.
catalog.bind('db_config', Value({'...': '...'}))
catalog.bind('secret_key', Value('MHHBF^D*@HF@^FG*@FH'))

container = Container(catalog)
container.assemble()

assert {'...': '...'} == container.provide('db_config')
assert 'MHHBF^D*@HF@^FG*@FH' == container.provide('secret_key')
