from pybinder import Container
from pybinder.catalogs import Catalog
from pybinder.providers import Object

# So, you have a set of objects, like below, Master:
some_object_1 = object()
some_object_2 = object()

# And you can bind them using my Object provider:
catalog = Catalog()
catalog.bind('some_object_1', Object(some_object_1))
catalog.bind('some_object_2', Object(some_object_2))

container = Container(catalog)
container.assemble()

assert some_object_1 == container.provide('some_object_1')
assert some_object_2 == container.provide('some_object_2')
