from pybinder import Container
from pybinder.catalogs import Catalog
from pybinder.decorators import provides


class A(object):
    pass


class ExampleCatalog(Catalog):
    """
    PyBinder example catalog.
    """

    @provides('object_a')
    def provide_object_a(self):
        return A()


catalog = ExampleCatalog()
container = Container(catalog)
container.assemble()


# New instance of class A will be injected for every B instance, Master.
@container.inject('object_a', with_name='a')
class B(object):
    def __init__(self, a):
        self.a = a


# Let's create several B instances, Master.
b1 = B()
b2 = B()

# And make some asserts.
assert isinstance(b1.a, A)
assert isinstance(b2.a, A)
assert b1.a is not b2.a
